(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     43626,       1049]
NotebookOptionsPosition[     42310,       1003]
NotebookOutlinePosition[     42689,       1019]
CellTagsIndexPosition[     42646,       1016]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Flickermeter", "Title",
 CellChangeTimes->{{3.61699534594903*^9, 3.616995352019038*^9}}],

Cell[CellGroupData[{

Cell["Import d\[AAcute]t", "Section",
 CellChangeTimes->{{3.616995358889048*^9, 3.616995362629053*^9}, 
   3.621918408841026*^9}],

Cell["\<\
Pre otestovanie pou\[ZHacek]ijeme data z matematick\[EAcute]ho modelu \
elektrickej obl\[UAcute]kovej pece. Jedn\[AAcute] sa o priebeh jednej f\
\[AAcute]zy nap\[ADoubleDot]tia v NN vinut\[IAcute] pecn\[EAcute]ho transform\
\[AAcute]toru. Priebeh bol ovzorkovan\[YAcute] s frekvenciou 2000 Hz, \
\[CHacek]o je minim\[AAcute]lna po\[ZHacek]adovan\[AAcute] frekvencia (pod\
\:013ea \[SHacek]tandardu pre flickermetre). Priebeh je dlh\[YAcute] takmer \
19 sek\[UAcute]nd.\
\>", "Text",
 CellChangeTimes->{{3.621917338311795*^9, 3.6219175018081465`*^9}, {
  3.6219176144565897`*^9, 3.62191762827938*^9}}],

Cell[BoxData[{
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vstupp", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"\"\<data.txt\>\"", ",", "\"\<Table\>\""}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.616989310231722*^9, 3.616989360851793*^9}, {
   3.6169894307618904`*^9, 3.6169894573519278`*^9}, 3.61700236302394*^9, 
   3.6170024126040096`*^9, {3.6170037730382147`*^9, 3.61700378433823*^9}, 
   3.617004637028493*^9, 3.6170056263598776`*^9, 3.617009240643504*^9, {
   3.6170106885765314`*^9, 3.617010692156537*^9}, {3.621916837304139*^9, 
   3.6219168381451874`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vstup", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"vstupp", "[", 
          RowBox[{"[", 
           RowBox[{"j", "+", "39"}], "]"}], "]"}], ",", 
         RowBox[{"RootMeanSquare", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"vstupp", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "j", ",", 
              RowBox[{"39", "+", "j"}]}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{
          RowBox[{"Length", "[", "vstupp", "]"}], "-", "39"}]}], "}"}]}], 
      "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "List", " ", "vstupn\[YAcute]ch", " ", "hodn\[OHat]t", " ", 
    "nap\[ADoubleDot]t\[IAcute]"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"efh", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"vstupp", "[", 
         RowBox[{"[", 
          RowBox[{"j", "+", "39"}], "]"}], "]"}], ",", 
        RowBox[{"RootMeanSquare", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"vstupp", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "j", ",", 
             RowBox[{"39", "+", "j"}]}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", 
        RowBox[{
         RowBox[{"Length", "[", "vstupp", "]"}], "-", "39"}]}], "}"}]}], 
     "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"List", " ", "efekt\[IAcute]vnych", " ", "hodn\[OHat]t"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6170092497235174`*^9, 3.617009342673647*^9}, {
   3.6170093802037*^9, 3.617009413043746*^9}, {3.6170095068238773`*^9, 
   3.6170095681239634`*^9}, {3.6170096805441203`*^9, 3.617009683304124*^9}, {
   3.6170097234541807`*^9, 3.6170097356441975`*^9}, {3.617010353765063*^9, 
   3.6170103747460923`*^9}, {3.6170106368064594`*^9, 3.6170106405664644`*^9}, 
   3.6170106742465115`*^9, {3.6170107507466187`*^9, 3.617010813196706*^9}, {
   3.6170108933268185`*^9, 3.6170109229168596`*^9}, {3.617010992006956*^9, 
   3.61701099429696*^9}, {3.617011083717085*^9, 3.6170110942770996`*^9}, {
   3.621916972347863*^9, 3.6219170447610044`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dlzka", "=", 
   RowBox[{"Length", "[", "vstup", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6170110935470986`*^9, 3.6170111304371505`*^9}, {
  3.621916931698538*^9, 3.6219169352967443`*^9}, {3.621917081073082*^9, 
  3.621917085040309*^9}}],

Cell[BoxData[{
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"efh", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "dlzka"}], "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "450"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "0.25"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<k [-]\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(U\), \(ef\)]\) [V]\>\""}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", "13", "]"}]}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<Priebeh efekt\[IAcute]vnej hodnoty nap\[ADoubleDot]tia\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"vstup", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"3", "*", 
          FractionBox["2000", "50"]}]}], "}"}]}], "]"}], ",", 
     RowBox[{"PlotMarkers", "->", "\"\<\!\(\*
StyleBox[\"+\",
FontSize->14,
FontColor->GrayLevel[0]]\)\>\""}]}], "]"}], ",", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"vstup", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"3", "*", 
          FractionBox["2000", "50"]}]}], "}"}]}], "]"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Red", "}"}]}]}], "]"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "0.25"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<k [-]\>\"", ",", "\"\<\!\(\*SubscriptBox[\(U\), \(k\)]\) [V]\>\""}],
      "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", "13", "]"}]}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<Priebeh okam\[ZHacek]itej hodnoty nap\[ADoubleDot]tia\>\""}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6170036766680794`*^9, 3.6170037064981213`*^9}, {
   3.6170037418481708`*^9, 3.617003756298191*^9}, {3.6170037915482407`*^9, 
   3.617003845528316*^9}, 3.6170054768496685`*^9, {3.6170103876661105`*^9, 
   3.617010390086114*^9}, 3.621916856760252*^9, {3.6219169045539856`*^9, 
   3.6219169449102936`*^9}, {3.621917063618084*^9, 3.621917287975916*^9}, {
   3.6219175091965694`*^9, 3.621917549404869*^9}, {3.6219176522037487`*^9, 
   3.6219177271370344`*^9}, {3.6219177719866*^9, 3.6219177923087626`*^9}, {
   3.621917838060379*^9, 3.621917893251536*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\[CapitalSHacek]pecifikovanie filtrov v pr\[IAcute]stroji\
\>", "Section",
 CellChangeTimes->{{3.616995373529069*^9, 3.616995383929083*^9}, {
  3.6219183955752673`*^9, 3.621918401640614*^9}}],

Cell["\<\
Zad\[AAcute]me si kon\[SHacek]tanty filtra oko-\[ZHacek]iarovka.\
\>", "Text",
 CellChangeTimes->{{3.621918425311968*^9, 3.6219184794880667`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "1.74802"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kor", "=", 
   RowBox[{"2", "*", "\[Pi]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"la", "=", 
   RowBox[{"kor", "*", "4.05981"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]1", "=", 
   RowBox[{"kor", "*", "9.15494"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]2", "=", 
   RowBox[{"kor", "*", "2.27979"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]3", "=", 
   RowBox[{"kor", "*", "1.22535"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]4", "=", 
    RowBox[{"kor", "*", "21.9"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"fs", " ", "vyorkovacia", " ", "frekvencia"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fs", "=", "2000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]", "=", "0.5"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6168305020291023`*^9, 3.6168307883304777`*^9}, {
   3.6168309107314787`*^9, 3.6168309198329997`*^9}, {3.616831416604413*^9, 
   3.6168315235575304`*^9}, {3.6168316340618515`*^9, 
   3.6168317567508683`*^9}, {3.616832765678576*^9, 3.6168329827139893`*^9}, {
   3.6169067468961525`*^9, 3.6169068189862537`*^9}, {3.6169068688563237`*^9, 
   3.6169068814563413`*^9}, {3.616948531735521*^9, 3.6169485630075655`*^9}, {
   3.6169486440297403`*^9, 3.6169487675259185`*^9}, {3.6169494911866913`*^9, 
   3.6169495363367543`*^9}, {3.616949567596801*^9, 3.6169495735588117`*^9}, {
   3.616949658268936*^9, 3.616949672978957*^9}, {3.616950044949498*^9, 
   3.6169500849995546`*^9}, {3.6169507534625807`*^9, 
   3.6169507536525803`*^9}, {3.616950856866761*^9, 3.616950861508769*^9}, {
   3.616953630399178*^9, 3.6169536456100483`*^9}, {3.61698780730916*^9, 
   3.616987820871936*^9}, {3.616988049021944*^9, 3.6169880559319534`*^9}, {
   3.616988089922001*^9, 3.6169881014820175`*^9}, {3.6169894835819645`*^9, 
   3.6169895226620193`*^9}, {3.616989604562134*^9, 3.6169896630022154`*^9}, 
   3.6169900460387883`*^9, 3.6169905092194366`*^9, {3.616990594229556*^9, 
   3.6169906130305824`*^9}, {3.616990679650676*^9, 3.61699071826073*^9}, {
   3.6169907924808335`*^9, 3.6169908001408443`*^9}, {3.616991074021228*^9, 
   3.616991077121232*^9}, {3.6169911175112886`*^9, 3.6169911206012926`*^9}, 
   3.6169938049960513`*^9, {3.616993946186249*^9, 3.6169939469262495`*^9}, {
   3.6169940302963667`*^9, 3.616994081586438*^9}, {3.616994153116538*^9, 
   3.616994166206557*^9}, {3.616994214826625*^9, 3.616994240726661*^9}, {
   3.6169967360619764`*^9, 3.616996737001978*^9}, {3.6169969022522087`*^9, 
   3.616996905152213*^9}, 3.61699703157239*^9, {3.617002423414025*^9, 
   3.61700242714403*^9}, {3.617002654354348*^9, 3.6170026844843903`*^9}, 
   3.6170029067947016`*^9, {3.6170029875648146`*^9, 3.6170029911448193`*^9}, {
   3.617003231962468*^9, 3.6170032327035103`*^9}, {3.61700326957751*^9, 
   3.6170033065175614`*^9}, {3.6170033593776355`*^9, 3.617003361837639*^9}, {
   3.61700348409781*^9, 3.617003485427812*^9}, {3.6170036281080112`*^9, 
   3.617003656198051*^9}, {3.617004087448655*^9, 3.6170040932186627`*^9}, 
   3.6170041260387087`*^9, {3.6170041795887833`*^9, 3.6170042506788836`*^9}, {
   3.6170045804284134`*^9, 3.617004612548458*^9}, {3.617005047279067*^9, 
   3.617005050919072*^9}, 3.617005170369239*^9, {3.6170052185793066`*^9, 
   3.6170052681293764`*^9}, {3.617005704469987*^9, 3.617005753230055*^9}, {
   3.6170058101801353`*^9, 3.6170058992002597`*^9}, 3.617005952640334*^9, {
   3.6170104787262383`*^9, 3.6170105086362796`*^9}, {3.6170105541663437`*^9, 
   3.6170105672163615`*^9}, {3.6170113631674757`*^9, 3.6170113640374775`*^9}, 
   3.6219179107585373`*^9, 3.6219182046213455`*^9, {3.6219191774529877`*^9, 
   3.621919180531164*^9}}],

Cell["\<\
Zavedieme si charakteristiky filtrov v spojitej \[CHacek]asovej oblasti. Je \
tu navy\[SHacek]e zaveden\[YAcute] filter ref, ktor\[YAcute] predstavuje \
filtrovanie referen\[CHacek]nej hodnoty. V na\[SHacek]om \
v\[YAcute]po\[CHacek]te sa v\[SHacek]ak neuplatn\[IAcute].\
\>", "Text",
 CellChangeTimes->{{3.621918298856735*^9, 3.6219183306315527`*^9}, 
   3.621918391448031*^9, {3.621918482680249*^9, 3.6219185258647194`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ref", "=", 
   RowBox[{"ButterworthFilterModel", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      FractionBox["1", "\[Tau]"]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"oko", "=", 
   RowBox[{"TransferFunctionModel", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         RowBox[{"k", "*", "\[Omega]1", "*", "s"}], 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"2", "*", "la", "*", "s"}], "+", 
          SuperscriptBox["\[Omega]1", "2"]}]], "*", 
        FractionBox[
         RowBox[{"1", "+", 
          FractionBox["s", "\[Omega]2"]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox["s", "\[Omega]3"]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox["s", "\[Omega]4"]}], ")"}]}]]}], "}"}], "}"}], ",", 
     "s"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lowpass", "=", 
   RowBox[{"ButterworthFilterModel", "[", 
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"2", "*", "\[Pi]", "*", "35"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"highpass", "=", 
   RowBox[{"ButterworthFilterModel", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<Highpass\>\"", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"2", "*", "\[Pi]", "*", "0.001"}], ",", 
        RowBox[{"2", "*", "\[Pi]", "*", "0.05"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"25", ",", "3"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fin", "=", 
   RowBox[{"ButterworthFilterModel", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      FractionBox["1", "0.3"]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6219182377932425`*^9, 3.6219182828668203`*^9}, {
   3.6219183368169065`*^9, 3.6219183391230383`*^9}, 3.62191918482841*^9}],

Cell["\<\
Zaveden\[EAcute] charakteristiky pretransformujeme do diskr\[EAcute]tnej \
oblasti so zadanou vzorkovacou frekvenciou.\
\>", "Text",
 CellChangeTimes->{{3.6219183434722867`*^9, 3.621918390359969*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"referencia", "=", 
   RowBox[{"ToDiscreteTimeModel", "[", 
    RowBox[{"ref", ",", 
     FractionBox["1", "fs"], ",", "z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp", "=", 
   RowBox[{"ToDiscreteTimeModel", "[", 
    RowBox[{"lowpass", ",", 
     FractionBox["1", "fs"], ",", "z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hp", "=", 
   RowBox[{"ToDiscreteTimeModel", "[", 
    RowBox[{"highpass", ",", 
     FractionBox["1", "fs"], ",", "z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"okoziar", "=", 
   RowBox[{"ToDiscreteTimeModel", "[", 
    RowBox[{"oko", ",", 
     FractionBox["1", "fs"], ",", "z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pamat", "=", 
   RowBox[{"ToDiscreteTimeModel", "[", 
    RowBox[{"fin", ",", 
     FractionBox["1", "fs"], ",", "z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input"],

Cell["\<\
Uk\[AAcute]\[ZHacek]ky charakterist\[IAcute]k pou\[ZHacek]it\[YAcute]ch \
filtrov, okreme referencie.\
\>", "Text",
 CellChangeTimes->{{3.621918540408551*^9, 3.621918563223856*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"filtre", "=", 
    RowBox[{"LogLinearPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"20", "*", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{
              FractionBox[
               RowBox[{"k", "*", "\[Omega]1", "*", "s"}], 
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"2", "*", "la", "*", "s"}], "+", 
                SuperscriptBox["\[Omega]1", "2"]}]], "*", 
              FractionBox[
               RowBox[{"1", "+", 
                FractionBox["s", "\[Omega]2"]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  FractionBox["s", "\[Omega]3"]}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  FractionBox["s", "\[Omega]4"]}], ")"}]}]]}], "/.", 
             RowBox[{"s", "\[Rule]", 
              RowBox[{"I", "*", "2", "*", "\[Pi]", "*", "f"}]}]}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"20", "*", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"Abs", "[", 
            RowBox[{
             FractionBox[
              RowBox[{"lowpass", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "]"}], "]"}], 
              RowBox[{"lowpass", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2", ",", "1", ",", "1"}], "]"}], "]"}]], "/.", 
             RowBox[{"\[FormalS]", "\[Rule]", 
              RowBox[{"I", "*", "2", "*", "\[Pi]", "*", "f"}]}]}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"20", "*", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"Abs", "[", 
            RowBox[{
             FractionBox[
              RowBox[{"1.`", " ", "\[FormalS]"}], 
              RowBox[{"0.31341418800136084`", "\[VeryThinSpace]", "+", 
               RowBox[{"1.`", " ", "\[FormalS]"}]}]], "/.", 
             RowBox[{"\[FormalS]", "\[Rule]", 
              RowBox[{"I", "*", "2", "*", "\[Pi]", "*", "f"}]}]}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"20", "*", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"Abs", "[", 
            RowBox[{
             FractionBox["3.3333333333333335`", 
              RowBox[{
              "3.3333333333333335`", "\[VeryThinSpace]", "+", "\[FormalS]"}]],
              "/.", 
             RowBox[{"\[FormalS]", "\[Rule]", 
              RowBox[{"I", "*", "2", "*", "\[Pi]", "*", "f"}]}]}], "]"}]}], 
          "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "0.001", ",", "300"}], "}"}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Hue", "[", "0.75", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Hue", "[", "0.08", "]"}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<V\[AAcute]hovac\[IAcute] filter oko-\[ZHacek]iarovka\>\"", ",", 
         "\"\<Dolnopriepustn\[YAcute] filter\>\"", ",", 
         "\"\<Hornopriepustn\[YAcute] filter\>\"", ",", 
         "\"\<V\[YAcute]stupn\[YAcute] pam\[ADoubleDot]\[THacek]ov\[YAcute] \
efekt\>\""}], "}"}]}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"14", ",", 
         RowBox[{"Thickness", "[", "0.005", "]"}]}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<f [Hz]\>\"", ",", "\"\<\[CapitalUAcute]tlm [dB]\>\""}], 
        "}"}]}], ",", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"GridLinesStyle", "\[Rule]", 
       RowBox[{"Thickness", "[", "0.003", "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{
      "PlotLabel", "->", 
       "\"\<Frekven\[CHacek]n\[EAcute] amplit\[UAcute]dov\[EAcute] \
charakteristiky pou\[ZHacek]it\[YAcute]ch filtrov\>\""}]}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.621745189910722*^9, 3.621745271280836*^9}, {
  3.621745373490979*^9, 3.621745453431091*^9}, {3.621745737551489*^9, 
  3.6217457486515045`*^9}, {3.621745887071698*^9, 3.6217461333120427`*^9}, {
  3.6217462118531528`*^9, 3.621746393113406*^9}, {3.6217464349934654`*^9, 
  3.621746547793623*^9}, {3.621746582853672*^9, 3.621746641183754*^9}, {
  3.621917936073985*^9, 3.621917975569244*^9}, {3.621918006497013*^9, 
  3.6219180227249413`*^9}, {3.621918136405443*^9, 3.621918144194889*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Modul pre ur\[CHacek]enie kr\[AAcute]tkodob\[EAcute]ho flicker efektu\
\>", "Section",
 CellChangeTimes->{{3.61699540328911*^9, 3.61699541747913*^9}, {
  3.6219185680081296`*^9, 3.621918574456498*^9}}],

Cell["\<\
Nastavenia pre grafick\[EAcute] v\[YAcute]stupy.\
\>", "Text",
 CellChangeTimes->{{3.6219186808065815`*^9, 3.6219186964724774`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"is", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ar", "=", "0.25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velk", "=", "13"}], ";"}]}], "Input",
 CellChangeTimes->{{3.621676907871912*^9, 3.621676910612069*^9}, {
   3.6216769696944485`*^9, 3.6216769702044773`*^9}, 3.621677033486097*^9, {
   3.6216772427900686`*^9, 3.621677247837357*^9}, 3.621678484188072*^9, {
   3.621744629339937*^9, 3.6217446297299376`*^9}, {3.6217480533308077`*^9, 
   3.6217480539108086`*^9}, {3.6219186371780863`*^9, 
   3.6219186472096596`*^9}, {3.6219189475228367`*^9, 
   3.6219189508260255`*^9}, {3.62191901611576*^9, 3.6219190165537853`*^9}}],

Cell["\<\
Funk\[CHacek]n\[YAcute] modul pre ur\[CHacek]enie \
kr\[AAcute]tkodob\[EAcute]ho flicker efektu.\
\>", "Text",
 CellChangeTimes->{{3.621918713024424*^9, 3.621918730872445*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Flik", "[", "dat_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "u1", ",", "rms", ",", "u2", ",", "u3", ",", "u4", ",", "u5", ",", "u6",
        ",", "u7", ",", "u8", ",", "scfaktor", ",", "s", ",", "p50", ",", 
       "p10", ",", "p3", ",", "p1", ",", "pst"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"u1", "=", 
       RowBox[{"dat", "-", 
        RowBox[{"Mean", "[", "dat", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rms", "=", 
       RowBox[{"RootMeanSquare", "[", "u1", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"u2", "=", 
       FractionBox["u1", 
        RowBox[{"rms", "*", 
         SqrtBox["2"]}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"u3", "=", 
       RowBox[{
        SuperscriptBox["u2", "2"], "-", 
        RowBox[{"Mean", "[", 
         SuperscriptBox["u2", "2"], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"u4", "=", 
       RowBox[{"OutputResponse", "[", 
        RowBox[{"lp", ",", "u3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"u5", "=", 
       RowBox[{"OutputResponse", "[", 
        RowBox[{"hp", ",", "u4"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"u6", "=", 
       RowBox[{"OutputResponse", "[", 
        RowBox[{"okoziar", ",", "u5"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"u7", "=", 
       SuperscriptBox["u6", "2"]}], ";", "\[IndentingNewLine]", 
      RowBox[{"u8", "=", 
       RowBox[{"OutputResponse", "[", 
        RowBox[{"pamat", ",", "u7"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"scfaktor", "=", "1238400"}], ";", "\[IndentingNewLine]", 
      RowBox[{"s", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u8", "*", "scfaktor"}], ")"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ListLinePlot", "[", "s", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Histogram", "[", "s", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"p50", "=", 
       RowBox[{
        FractionBox["1", "3"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.3"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.5"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.8"}]}], "]"}]}], ")"}]}]}], ";", 
      RowBox[{"p10", "=", 
       RowBox[{
        FractionBox["1", "5"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.06"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.08"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.1"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.13"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.17"}]}], "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"p3", "=", 
       RowBox[{
        FractionBox["1", "3"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.022"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.03"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.04"}]}], "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"p1", "=", 
       RowBox[{
        FractionBox["1", "3"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.007"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.01"}]}], "]"}], "+", 
          RowBox[{"Quantile", "[", 
           RowBox[{"s", ",", 
            RowBox[{"1", "-", "0.015"}]}], "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"pst", "=", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"0.0314", "*", 
           RowBox[{"Quantile", "[", 
            RowBox[{"s", ",", 
             RowBox[{"1", "-", "0.001"}]}], "]"}]}], "+", 
          RowBox[{"0.0525", "*", "p1"}], "+", 
          RowBox[{"0.0657", "*", "p3"}], "+", 
          RowBox[{"0.28", "*", "p10"}], "+", 
          RowBox[{"0.08", "*", "p50"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{"StringJoin", "[", 
            RowBox[{"\"\<Pst = \>\"", ",", 
             RowBox[{"ToString", "[", "pst", "]"}]}], "]"}], "]"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u1", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<U [V]\>\""}], "}"}]}]}], "]"}],
             ",", 
            RowBox[{
            "PlotLabel", "->", 
             "\"\<Vstupn\[EAcute] nap\[ADoubleDot]tie\>\""}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u2", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}], ",", 
            RowBox[{"FrameLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
            RowBox[{
            "PlotLabel", "->", 
             "\"\<Nap\[ADoubleDot]tie v pomern\[YAcute]ch \
jednotk\[AAcute]ch\>\""}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{"ListLinePlot", "[", 
            RowBox[{"u3", ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
             RowBox[{
             "PlotLabel", "->", 
              "\"\<Kvadratizovan\[EAcute] nap\[ADoubleDot]tie s \
odstr\[AAcute]nenou DC zlo\[ZHacek]kou\>\""}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
             RowBox[{"FrameStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "]"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u4", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "->", 
               "\"\<Nap\[ADoubleDot]tie za dolnou priepus\[THacek]ou\>\""}], 
              ",", 
              RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], "]"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u5", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "->", 
               "\"\<Nap\[ADoubleDot]tie za hornou priepus\[THacek]ou\>\""}], 
              ",", 
              RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], "]"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u6", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "->", 
               "\"\<Odozva na filter oko-\[ZHacek]iarovka\>\""}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], "]"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u7", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "->", 
               "\"\<Kvadratizovan\[YAcute] v\[YAcute]stup\>\""}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], "]"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"u8", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<u [p.j.]\>\""}], "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "->", 
               "\"\<Odozva filtru pre pam\[ADoubleDot]\[THacek]ov\[YAcute] \
efekt\>\""}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], "]"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{"s", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<k\>\"", ",", "\"\<P [p.j.]\>\""}], "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "->", 
               "\"\<\[CapitalCHacek]asov\[YAcute] priebeh miery vjemu flicker \
efektu P\>\""}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], "]"}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "velk", "]"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ListLinePlot", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Quantile", "[", 
                 RowBox[{"s", ",", "i"}], "]"}], ",", 
                RowBox[{"100", "-", 
                 RowBox[{"100", "*", "i"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", "1", ",", "0.0001"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"Frame", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
            RowBox[{"FrameLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<P [-]\>\"", ",", "\"\<p [%]\>\""}], "}"}]}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Thickness", "[", "0.005", "]"}]}], ",", 
            RowBox[{
            "PlotLabel", "->", "\"\<Pravdepodobnostn\[AAcute] funkcia\>\""}], 
            ",", 
            RowBox[{"ImageSize", "\[Rule]", "is"}], ",", 
            RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
            RowBox[{"GridLinesStyle", "\[Rule]", 
             RowBox[{"Thickness", "[", "0.003", "]"}]}]}], "]"}], "}"}]}], 
        "}"}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.616991174191368*^9, 3.6169912785515137`*^9}, {
   3.616991314081564*^9, 3.616991319721572*^9}, {3.616991388201668*^9, 
   3.6169913902316704`*^9}, {3.6169916244119987`*^9, 
   3.6169918040822496`*^9}, {3.616991916592407*^9, 3.6169919488724527`*^9}, {
   3.616992116152687*^9, 3.616992156512743*^9}, {3.616992188732788*^9, 
   3.6169922329128504`*^9}, {3.616992348343012*^9, 3.6169927063035126`*^9}, {
   3.6169930516739964`*^9, 3.6169930565040035`*^9}, {3.6169932739943075`*^9, 
   3.616993291944333*^9}, {3.6169933229343762`*^9, 3.616993359384427*^9}, {
   3.6169934008844852`*^9, 3.6169936696258616`*^9}, {3.6169937030859084`*^9, 
   3.6169937615159903`*^9}, {3.6170014721193514`*^9, 
   3.6170014725493526`*^9}, {3.6170017444030743`*^9, 3.617001767123106*^9}, {
   3.617001901293294*^9, 3.6170019352033415`*^9}, {3.6170021518636446`*^9, 
   3.6170022310537558`*^9}, {3.6170023112338676`*^9, 3.617002325703888*^9}, {
   3.617003214393463*^9, 3.6170032204878116`*^9}, {3.6170033394776077`*^9, 
   3.617003343537613*^9}, {3.617004021368562*^9, 3.6170040287085724`*^9}, 
   3.6170041678687673`*^9, {3.6170046214284706`*^9, 3.6170046242284746`*^9}, 
   3.617004666618534*^9, {3.6170047138486004`*^9, 3.617004823758754*^9}, {
   3.6170048966288557`*^9, 3.6170049198988886`*^9}, {3.61700498531898*^9, 
   3.6170050150090218`*^9}, {3.617005225239316*^9, 3.617005227309319*^9}, {
   3.617005316409444*^9, 3.617005414609581*^9}, {3.617005988950385*^9, 
   3.6170059954903946`*^9}, {3.6170069027716646`*^9, 
   3.6170069541317368`*^9}, {3.6170070430318613`*^9, 3.617007057071881*^9}, {
   3.6170071203419695`*^9, 3.617007122501972*^9}, {3.617007182872057*^9, 
   3.617007224622115*^9}, {3.61700725657216*^9, 3.617007303582226*^9}, {
   3.617007369043318*^9, 3.6170073735033236`*^9}, {3.6170074598334446`*^9, 
   3.6170074668134546`*^9}, {3.617007527003539*^9, 3.617007527413539*^9}, {
   3.6170075609835863`*^9, 3.6170076170736647`*^9}, {3.6170104300361695`*^9, 
   3.617010447676194*^9}, {3.617010574416372*^9, 3.617010610406422*^9}, {
   3.6170108722967887`*^9, 3.617010889656813*^9}, {3.6170109537469025`*^9, 
   3.61701095870691*^9}, {3.6170110141369877`*^9, 3.6170110406570244`*^9}, {
   3.617011156017186*^9, 3.6170111942872396`*^9}, {3.617011274717352*^9, 
   3.617011349517457*^9}, {3.6170114115975437`*^9, 3.6170114529076014`*^9}, {
   3.621676168966649*^9, 3.621676339344394*^9}, {3.6216763806567574`*^9, 
   3.6216764824235783`*^9}, {3.621676521203796*^9, 3.621676624094681*^9}, {
   3.6216766888263836`*^9, 3.6216767225033092`*^9}, {3.621676754820158*^9, 
   3.621676762754612*^9}, 3.621676839194984*^9, {3.6216768760440917`*^9, 
   3.621676902522606*^9}, {3.6216769457110767`*^9, 3.6216770006062164`*^9}, {
   3.621677079199712*^9, 3.621677085910095*^9}, {3.6216772321644607`*^9, 
   3.6216772801472054`*^9}, {3.621677328207954*^9, 3.621677336690439*^9}, {
   3.6216774967895966`*^9, 3.6216774985726986`*^9}, {3.621677586647736*^9, 
   3.6216775916710234`*^9}, 3.6217447964501715`*^9, {3.621744862370263*^9, 
   3.6217448631402645`*^9}, {3.6217481046808796`*^9, 3.621748124590907*^9}, {
   3.6217481740109763`*^9, 3.6217481820509877`*^9}, {3.6217482362010636`*^9, 
   3.621748285341132*^9}, {3.621748323491186*^9, 3.6217483305711956`*^9}, {
   3.621748413071311*^9, 3.621748449601362*^9}, {3.6219186225602503`*^9, 
   3.621918625942443*^9}, {3.6219187861186047`*^9, 3.62191886156292*^9}, {
   3.621918920672301*^9, 3.6219189866440744`*^9}, {3.6219190706938815`*^9, 
   3.6219190758011737`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
V\[YAcute]sledky a medziv\[YAcute]stupy jednotliv\[YAcute]ch blokov\
\>", "Section",
 CellChangeTimes->{{3.6219191161864834`*^9, 3.621919139392811*^9}}],

Cell[BoxData[
 RowBox[{"dat", "=", 
  RowBox[{"Flik", "[", "vstup", "]"}]}]], "Input",
 CellChangeTimes->{{3.6169912818915186`*^9, 3.616991306911554*^9}, 
   3.616991687882087*^9, 3.6169917978422413`*^9, 3.616991932152429*^9, {
   3.616992531953269*^9, 3.6169925339032717`*^9}, {3.6169954256091413`*^9, 
   3.6169954336391525`*^9}, {3.6170017625330997`*^9, 
   3.6170017627230997`*^9}, {3.6170105213462973`*^9, 
   3.6170105235363007`*^9}, {3.6170109829469438`*^9, 
   3.6170110064069767`*^9}, {3.621677117053877*^9, 3.6216771195810213`*^9}, 
   3.6219187438901896`*^9, 3.6219187904268513`*^9, {3.6219191419629583`*^9, 
   3.6219191428420086`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1544, 945},
WindowMargins->{{9, Automatic}, {Automatic, 9}},
Magnification->1.2000000476837158`,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 94, 1, 122, "Title"],
Cell[CellGroupData[{
Cell[698, 27, 129, 2, 103, "Section"],
Cell[830, 31, 610, 10, 58, "Text"],
Cell[1443, 43, 741, 15, 60, "Input"],
Cell[2187, 60, 2568, 67, 106, "Input"],
Cell[4758, 129, 279, 6, 36, "Input"],
Cell[5040, 137, 3087, 80, 205, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8164, 222, 201, 4, 103, "Section"],
Cell[8368, 228, 156, 3, 35, "Text"],
Cell[8527, 233, 3861, 67, 267, "Input"],
Cell[12391, 302, 436, 7, 35, "Text"],
Cell[12830, 311, 1990, 59, 229, "Input"],
Cell[14823, 372, 210, 4, 35, "Text"],
Cell[15036, 378, 954, 30, 243, "Input"],
Cell[15993, 410, 191, 4, 35, "Text"],
Cell[16187, 416, 5027, 120, 323, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21251, 541, 211, 4, 103, "Section"],
Cell[21465, 547, 142, 3, 35, "Text"],
Cell[21610, 552, 693, 13, 83, "Input"],
Cell[22306, 567, 186, 4, 35, "Text"],
Cell[22495, 573, 18937, 405, 1167, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41469, 983, 162, 3, 103, "Section"],
Cell[41634, 988, 648, 11, 36, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
